%define name libsidplay
%define version 1.36.47
%define release 2mdk
%define major 1

Summary: A Commodore 64 music player and SID chip emulator library.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Patch: libsidplay-1.36.36-intel-optimize.patch.bz2
Icon: sidplay.xpm
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.geocities.com/SiliconValley/Lakes/5147/
 
%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package -n %{name}%{major}
Summary: A Commodore 64 music player and SID chip emulator library.
Group: System/Libraries
Provides: %{name} = %{version}

%description -n %{name}%{major}
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.


%package -n %{name}%{major}-devel
Summary: Libraries and include files for developing libsidplay applications.
Group: Development/C++
Requires: %{name}%{major} = %{version}
Provides: %{name}-devel = %{version}

%description -n %{name}%{major}-devel
This package contains the header files and the static library for compiling
applications that use libsidplay. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%ifarch %ix86
%patch -p1 -b .i386orig

%endif

%build

%configure

%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}%{major} -p /sbin/ldconfig

%postun -n %{name}%{major} -p /sbin/ldconfig
 
%files -n %{name}%{major}
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/lib*.so.*
%files -n %{name}%{major}-devel
%defattr(-,root,root)
%doc DEVELOPER src/*.txt
%{_includedir}/sidplay/*
%{_libdir}/*.so
%{_libdir}/*a

%changelog
* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.36.47-2mdk
- rebuild

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.36.47-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.36.47
	- added version numbers to provides

* Wed Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.36.46-1mdk
- updated by Gtz Waschk <goetz@linux-mandrake.com>
	- 1.36.46
	- new library naming scheme

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.36.45-1mdk
- updated to 1.36.45 by Gtz Waschk <goetz@linux-mandrake.com>

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.36.43-2mdk
- macros

* Sat Jul 15 2000 Gtz Waschk <goetz@linux-mandrake.com> 1.36.43-1mdk
- updated to 1.36.43

* Fri Jul 14 2000 Gtz Waschk <goetz@linux-mandrake.com> 1.36.40-1mdk
- initial mandrake release
